Bug 121562 - sysfs module locking patch for bin_attribute
Summary: sysfs module locking patch for bin_attribute
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-23 00:23 UTC by Matt Domsch
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 20:20:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bin_attr-fix2.patch (3.60 KB, patch)
2004-04-23 00:24 UTC, Matt Domsch
no flags Details | Diff

Description Matt Domsch 2004-04-23 00:23:55 UTC
Description of problem:
Patch from Michael E. Brown to GregKH, accepted today and submitted to
Linus.

Per MEB:
I have just been bitten by lack of module locking for bin_attribute
attributes, so attached is the corresponding patch to fs/sysfs/bin.c.


Version-Release number of selected component (if applicable):
before 2.6.6-rc3

How reproducible:
easy

Steps to Reproduce:
while true; do modprobe mymod; rmmod mymod; done &
while true; do hexdump -C /sys/path/to/sysfs/binary/file; done


  
Actual results:
Oops

Expected results:
no Oops

Additional info:
patch attached

Comment 1 Matt Domsch 2004-04-23 00:24:31 UTC
Created attachment 99642 [details]
bin_attr-fix2.patch

Comment 2 Matt Domsch 2004-04-23 02:35:18 UTC
Patch is in Linus's bk tree for 2.6.6-rc3 now.

Comment 3 Bill Nottingham 2004-07-30 20:20:55 UTC
Should be in A4, then.

Comment 4 Matt Domsch 2004-11-09 13:25:58 UTC
Confirmed fixed in Beta 2.


Note You need to log in before you can comment on or make changes to this bug.